package com.ruoyi.domain.vo;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value ="t_review_enterprise_archive")
@ApiModel("企业文件导入")
public class EnterpriseImportFileVO {

    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 企业名称
     */
    @Excel(name = "所属车企",sort = 1)
    @ApiModelProperty("所属车企名称")
    private String enterpriseName;

    /**
     * 文件名称
     */
    @Excel(name = "文件名称",sort = 2)
    @ApiModelProperty("文件名称")
    private String fileName;

    /**
     * 文件版本
     */
    @Excel(name = "文件版本",sort = 3)
    @ApiModelProperty("文件版本")
    private String version;

    /**
     * 发布日期
     */
    @Excel(name = "发布日期",sort = 4,dateFormat="yyyy-MM-dd",prompt="yyyy/mm/ss")
    @ApiModelProperty("发布日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date publishDate;

    /**
     * 文件状态
     */
    @Excel(name = "文件状态",sort = 5,readConverterExp = "0=现行有效,1=失效")
    @ApiModelProperty("文件状态")
    private String status;

    /**
     * 文件识别号
     */
    @Excel(name = "文件识别号",sort = 7)
    @ApiModelProperty("文件识别号")
    private String identifyNumber;

    /**
     * 存储位置
     */
    @Excel(name = "存储位置",sort = 6)
    @ApiModelProperty("存储位置")
    private String storage;

    /**
     * 关联到任务id
     */
    @ApiModelProperty("关联到任务id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long taskId;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
